// Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/admin/auditState": {
            "put": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "管理员"
                ],
                "summary": "管理员审核状态",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "状态",
                        "name": "state",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            }
        },
        "/admin/product": {
            "put": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "管理员"
                ],
                "summary": "修改产品类型",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ProductDto"
                        }
                    },
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "管理员"
                ],
                "summary": "添加产品类型",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ProductDto"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            },
            "delete": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "管理员"
                ],
                "summary": "根据ID删除产品类型",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            }
        },
        "/admin/serviceNode": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "管理员"
                ],
                "summary": "管理员查询所有节点",
                "parameters": [
                    {
                        "description": "分页数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/unity.PageParams"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            }
        },
        "/admin/shop": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "管理员"
                ],
                "summary": "管理员查询所有店铺",
                "parameters": [
                    {
                        "description": "分页数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/unity.PageParams"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            }
        },
        "/getNode": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "节点管理"
                ],
                "summary": "获取自己节点以及公开节点",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/models.ServiceNodes"
                            }
                        }
                    }
                }
            }
        },
        "/productall": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "店铺管理"
                ],
                "summary": "查询所有类型",
                "parameters": [
                    {
                        "description": "分页数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/unity.PageParams"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            }
        },
        "/serviceNode": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "节点管理"
                ],
                "summary": "查询自己的所有节点",
                "parameters": [
                    {
                        "description": "分页数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/unity.PageParams"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            },
            "put": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "节点管理"
                ],
                "summary": "修改节点",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "description": "节点数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ServiceNodesDto"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "节点管理"
                ],
                "summary": "添加节点",
                "parameters": [
                    {
                        "description": "节点数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ServiceNodesDto"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            },
            "delete": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "节点管理"
                ],
                "summary": "根据Id删除节点",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            }
        },
        "/shop": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "店铺管理"
                ],
                "summary": "获取自己的商品信息",
                "parameters": [
                    {
                        "description": "分页数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/unity.PageParams"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            },
            "put": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "店铺管理"
                ],
                "summary": "修改节点",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "description": "店铺数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ShopDto"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "店铺管理"
                ],
                "summary": "添加节点",
                "parameters": [
                    {
                        "description": "店铺数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ShopDto"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            },
            "delete": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "店铺管理"
                ],
                "summary": "根据Id删除节点",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            }
        },
        "/shopByName": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "店铺管理"
                ],
                "summary": "根据商品名称模糊查询",
                "parameters": [
                    {
                        "description": "分页数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/unity.PageParams"
                        }
                    },
                    {
                        "type": "string",
                        "description": "product_name",
                        "name": "product_name",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/e.R"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "e.R": {
            "type": "object",
            "properties": {
                "code": {
                    "$ref": "#/definitions/e.Rescode"
                },
                "data": {},
                "message": {}
            }
        },
        "e.Rescode": {
            "type": "integer",
            "enum": [
                200,
                201,
                1001,
                1002,
                1003,
                1004,
                1005,
                1006,
                1007,
                1008,
                1009,
                1010,
                1011,
                1012,
                1013,
                1014,
                1015,
                1016,
                1017,
                1018,
                1019,
                1020
            ],
            "x-enum-varnames": [
                "SUCCESS",
                "ERROR",
                "TokenIsInvalid",
                "TokenIsExpired",
                "DELETEFAIL",
                "UPDATEFAIL",
                "FINDFAIL",
                "DeleteFail",
                "PaginationFailed",
                "JSONParsingFailed",
                "TheUserAlreadyExists",
                "AlreadyExists",
                "TheSystemIsAbnormal",
                "CodeIsError",
                "Theuseralreadyexists",
                "ThePhoneNumberIsWrong",
                "AnExceptionOccursWhenSendingAnSMSVerificationCode",
                "TokenIsFaild",
                "ThePasswordIsWrongOrThePhoneNumberIsIncorrect",
                "HasSend",
                "TheUserIsEmpty",
                "TheParameterCannotBeEmpty"
            ]
        },
        "gorm.DeletedAt": {
            "type": "object",
            "properties": {
                "time": {
                    "type": "string"
                },
                "valid": {
                    "description": "Valid is true if Time is not NULL",
                    "type": "boolean"
                }
            }
        },
        "models.ProductDto": {
            "type": "object",
            "required": [
                "product_type"
            ],
            "properties": {
                "product_type": {
                    "type": "string"
                }
            }
        },
        "models.ServiceNodes": {
            "type": "object",
            "properties": {
                "address": {
                    "description": "节点地址",
                    "type": "string"
                },
                "create_by": {
                    "type": "integer"
                },
                "createdAt": {
                    "type": "string"
                },
                "deletedAt": {
                    "$ref": "#/definitions/gorm.DeletedAt"
                },
                "id": {
                    "type": "integer"
                },
                "node_name": {
                    "description": "节点名称",
                    "type": "string"
                },
                "state": {
                    "description": "0: 离线 1: 在线",
                    "type": "boolean"
                },
                "tokey": {
                    "description": "节点token",
                    "type": "string"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        },
        "models.ServiceNodesDto": {
            "type": "object",
            "properties": {
                "address": {
                    "description": "节点地址",
                    "type": "string"
                },
                "node_name": {
                    "description": "节点名称",
                    "type": "string"
                },
                "state": {
                    "description": "0: 离线 1: 在线",
                    "type": "boolean"
                },
                "tokey": {
                    "description": "节点token",
                    "type": "string"
                }
            }
        },
        "models.ShopDto": {
            "type": "object",
            "required": [
                "product_avatar",
                "product_description",
                "product_name",
                "product_price",
                "product_type"
            ],
            "properties": {
                "product_avatar": {
                    "description": "产品图片",
                    "type": "string"
                },
                "product_description": {
                    "description": "产品描述",
                    "type": "string"
                },
                "product_name": {
                    "description": "产品名称",
                    "type": "string"
                },
                "product_price": {
                    "description": "产品价格",
                    "type": "number"
                },
                "product_type": {
                    "description": "产品类型",
                    "type": "string"
                }
            }
        },
        "unity.PageParams": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "page": {
                    "type": "integer"
                },
                "size": {
                    "type": "integer"
                }
            }
        }
    },
    "securityDefinitions": {
        "": {
            "type": "apiKey",
            "name": "Authorization",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "127.0.0.1:8081",
	BasePath:         "/api",
	Schemes:          []string{},
	Title:            "物联智控平台",
	Description:      "物联智控平台",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
