package main

import (
	"log"
	"lot_interlligentControl/app"
	"lot_interlligentControl/global"
	"lot_interlligentControl/nats"
)

func init() {
	err := global.SetupSetting()
	if err != nil {
		log.Fatalf("init.SetupSetting err: %v", err)
	}
	err = global.SetupDBLink()
	if err != nil {
		log.Fatalf("init.SetupDBLink err: %v", err)
	}
	nats.SetupNats()
}

// @title 物联智控平台
// @version 1.0
// @description 物联智控平台
// @Host 127.0.0.1:8081
// @BasePath /api
// @securityDefinitions.apikey
// @in header
// @name Authorization
//
//go:generate swag init --parseDependency --parseDepth=6
func main() {
	err := app.InitRouter()
	if err != nil {
		panic(err)
	}
}
