package models

import "gorm.io/gorm"

type Shop struct {
	gorm.Model
	ProductType        string  `json:"product_type"`        // 产品类型
	ProductAvatar      string  `json:"product_avatar"`      //产品图片
	ProductName        string  `json:"product_name"`        //产品名称
	ProductPrice       float64 `json:"product_price"`       //产品价格
	ProductState       int     `json:"product_state"`       //产品状态 0待审核1审核通过2审核不通过
	ProductDescription string  `json:"product_description"` //产品描述
	CreateBy           int     `json:"create_by"`           //创建人
}
type ShopDto struct {
	ProductName        string  `json:"product_name" validate:"required"`        //产品名称
	ProductAvatar      string  `json:"product_avatar" validate:"required"`      //产品图片
	ProductDescription string  `json:"product_description" validate:"required"` //产品描述
	ProductType        string  `json:"product_type" validate:"required"`        // 产品类型
	ProductPrice       float64 `json:"product_price" validate:"required"`       //产品价格
}
